diff --git a/web/pgadmin/misc/static/explain/js/explain.js b/web/pgadmin/misc/static/explain/js/explain.js
index 2f7983c5..cd3ffbcc 100644
--- a/web/pgadmin/misc/static/explain/js/explain.js
+++ b/web/pgadmin/misc/static/explain/js/explain.js
@@ -8,90 +8,94 @@
 //////////////////////////////////////////////////////////////
 
 define('pgadmin.misc.explain', [
-  'sources/url_for', 'jquery', 'underscore', 'underscore.string',
-  'sources/pgadmin', 'backbone', 'snapsvg', 'explain_statistics',
+  'sources/url_for', 'jquery', 'underscore',
+  'sources/pgadmin', 'backbone', 'explain_statistics',
   'svg_downloader', 'image_maper',
-], function(url_for, $, _, S, pgAdmin, Backbone, Snap, StatisticsModel,
+], function(url_for, $, _, pgAdmin, Backbone, StatisticsModel,
   svgDownloader, imageMapper) {
 
   pgAdmin = pgAdmin || window.pgAdmin || {};
   svgDownloader = svgDownloader.default;
   var pgBrowser = pgAdmin.Browser;
+  var Snap = null;
 
-  // Snap.svg plug-in to write multitext as image name
-  Snap.plugin(function(Snap, Element, Paper) {
-    Paper.prototype.multitext = function(x, y, txt, max_width, attributes) {
-      var svg = Snap(),
-        abc = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ',
-        temp = svg.text(0, 0, abc);
+  var initSnap = function(snapModule) {
+    Snap = snapModule;
+    // Snap.svg plug-in to write multitext as image name
+    Snap.plugin(function(Snap, Element, Paper) {
+      Paper.prototype.multitext = function(x, y, txt, max_width, attributes) {
+        var svg = Snap(),
+          abc = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ',
+          temp = svg.text(0, 0, abc);
 
-      temp.attr(attributes);
+        temp.attr(attributes);
 
-      /*
-       * Find letter width in pixels and
-       * index from where the text should be broken
-       */
-      var letter_width = temp.getBBox().width / abc.length,
-        word_break_index = Math.round((max_width / letter_width)) - 1;
-
-      svg.remove();
-
-      var words = txt.split(' '),
-        width_so_far = 0,
-        lines = [],
-        curr_line = '',
         /*
-         * Function to divide string into multiple lines
-         * and store them in an array if it size crosses
-         * the max-width boundary.
+         * Find letter width in pixels and
+         * index from where the text should be broken
          */
-        splitTextInMultiLine = function(leading, so_far, line) {
-          var l = line.length,
-            res = [];
-
-          if (l == 0)
-            return res;
-
-          if (so_far && (so_far + (l * letter_width) > max_width)) {
-            res.push(leading);
-            res = res.concat(splitTextInMultiLine('', 0, line));
-          } else if (so_far) {
-            res.push(leading + ' ' + line);
-          } else {
-            if (leading)
+        var letter_width = temp.getBBox().width / abc.length,
+          word_break_index = Math.round((max_width / letter_width)) - 1;
+
+        svg.remove();
+
+        var words = txt.split(' '),
+          width_so_far = 0,
+          lines = [],
+          curr_line = '',
+          /*
+           * Function to divide string into multiple lines
+           * and store them in an array if it size crosses
+           * the max-width boundary.
+           */
+          splitTextInMultiLine = function(leading, so_far, line) {
+            var l = line.length,
+              res = [];
+
+            if (l == 0)
+              return res;
+
+            if (so_far && (so_far + (l * letter_width) > max_width)) {
               res.push(leading);
-            if (line.length > word_break_index + 1)
-              res.push(line.slice(0, word_break_index) + '-');
-            else
-              res.push(line);
-            res = res.concat(splitTextInMultiLine('', 0, line.slice(word_break_index)));
-          }
+              res = res.concat(splitTextInMultiLine('', 0, line));
+            } else if (so_far) {
+              res.push(leading + ' ' + line);
+            } else {
+              if (leading)
+                res.push(leading);
+              if (line.length > word_break_index + 1)
+                res.push(line.slice(0, word_break_index) + '-');
+              else
+                res.push(line);
+              res = res.concat(splitTextInMultiLine('', 0, line.slice(word_break_index)));
+            }
 
-          return res;
-        };
+            return res;
+          };
 
-      for (var i = 0; i < words.length; i++) {
-        var tmpArr = splitTextInMultiLine(
-          curr_line, width_so_far, words[i]
-        );
+        for (var i = 0; i < words.length; i++) {
+          var tmpArr = splitTextInMultiLine(
+            curr_line, width_so_far, words[i]
+          );
 
-        if (curr_line) {
-          lines = lines.slice(0, lines.length - 1);
+          if (curr_line) {
+            lines = lines.slice(0, lines.length - 1);
+          }
+          lines = lines.concat(tmpArr);
+          curr_line = lines[lines.length - 1];
+          width_so_far = (curr_line.length * letter_width);
         }
-        lines = lines.concat(tmpArr);
-        curr_line = lines[lines.length - 1];
-        width_so_far = (curr_line.length * letter_width);
-      }
 
-      // Create multiple tspan for each string in array
-      var t = this.text(x, y, lines).attr(attributes);
-      t.selectAll('tspan:nth-child(n+2)').attr({
-        dy: '1.2em',
-        x: x,
-      });
-      return t;
-    };
-  });
+        // Create multiple tspan for each string in array
+        var t = this.text(x, y, lines).attr(attributes);
+        t.selectAll('tspan:nth-child(n+2)').attr({
+          dy: '1.2em',
+          x: x,
+        });
+        return t;
+      };
+    });
+  };
 
   if (pgAdmin.Explain)
     return pgAdmin.Explain;
@@ -161,7 +165,7 @@ define('pgadmin.misc.explain', [
         ypos += yMargin;
       }
 
-      if (S.startsWith(node_type, '(slice'))
+      if (node_type.startsWith('(slice'))
         node_type = node_type.substring(0, 7);
 
       // Get the image information for current node
@@ -494,7 +498,7 @@ define('pgadmin.misc.explain', [
         ypos += yMargin;
       }
 
-      if (S.startsWith(node_type, '(slice'))
+      if (node_type.startsWith(node_type, '(slice'))
         node_type = node_type.substring(0, 7);
       // Get the image information for current node
       let imageStore = imageMapper.default;
@@ -769,8 +773,26 @@ define('pgadmin.misc.explain', [
 
   // Parse and draw full graphical explain
   _.extend(pgExplain, {
-    // Assumption container is a jQuery object
+
     DrawJSONPlan: function(container, plan, isDownload) {
+      let self = this;
+      if(Snap != null) {
+        self.goForDraw(container, plan, isDownload);
+      } else {
+        import('snapsvg')
+          .then((module)=>{
+            initSnap(module.default);
+            self.goForDraw(container, plan, isDownload);
+          })
+          .catch((error)=>{
+            throw(error);
+          });
+      }
+    },
+
+    // Assumption container is a jQuery object
+    goForDraw: function(container, plan, isDownload) {
+
       pgExplain.totalNodes = 0;
       pgExplain.totalDownloadedNodes = 0;
       pgExplain.isDownloaded = false;
diff --git a/web/pgadmin/misc/static/explain/js/image_maper.js b/web/pgadmin/misc/static/explain/js/image_maper.js
index 3a66653e..babd2a63 100644
--- a/web/pgadmin/misc/static/explain/js/image_maper.js
+++ b/web/pgadmin/misc/static/explain/js/image_maper.js
@@ -7,7 +7,6 @@
 //
 //////////////////////////////////////////////////////////////
 
-import S from 'underscore.string';
 /*
  * A map which is used to fetch the image to be drawn and
  * text which will appear below it
@@ -223,7 +222,7 @@ let imageMapper = {
       command = data['Command'];
 
     if (strategy == 'Hashed') {
-      if (S.startsWith(command, 'Intersect')) {
+      if (command.startsWith('Intersect')) {
         if (command == 'Intersect All')
           return {
             'image': 'ex_hash_setop_intersect_all.svg',
@@ -233,7 +232,7 @@ let imageMapper = {
           'image': 'ex_hash_setop_intersect.svg',
           'image_text': 'Hashed Intersect',
         };
-      } else if (S.startsWith(command, 'Except')) {
+      } else if (command.startsWith('Except')) {
         if (command == 'Except All')
           return {
             'image': 'ex_hash_setop_except_all.svg',
diff --git a/web/pgadmin/misc/statistics/static/js/statistics.js b/web/pgadmin/misc/statistics/static/js/statistics.js
index d4c062d4..101ebd5f 100644
--- a/web/pgadmin/misc/statistics/static/js/statistics.js
+++ b/web/pgadmin/misc/statistics/static/js/statistics.js
@@ -8,11 +8,11 @@
 //////////////////////////////////////////////////////////////
 
 define('misc.statistics', [
-  'sources/gettext', 'underscore', 'underscore.string', 'jquery', 'backbone',
+  'sources/gettext', 'underscore', 'jquery', 'backbone',
   'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backgrid', 'alertify', 'sources/size_prettify',
   'sources/misc/statistics/statistics',
 ], function(
-  gettext, _, S, $, Backbone, pgAdmin, pgBrowser, Backgrid, Alertify, sizePrettify,
+  gettext, _, $, Backbone, pgAdmin, pgBrowser, Backgrid, Alertify, sizePrettify,
   statisticsHelper
 ) {
 
@@ -315,9 +315,8 @@ define('misc.statistics', [
                 })) {
                   Alertify.pgNotifier(
                     error, xhr,
-                    S(gettext('Error retrieving the information - %s')).sprintf(
-                      message || _label
-                    ).value(), function(msg) {
+                    gettext('Error retrieving the information - %s', message || _label),
+                    function(msg) {
                       if(msg === 'CRYPTKEY_SET') {
                         ajaxHook();
                       } else {
diff --git a/web/pgadmin/static/bundle/app.js b/web/pgadmin/static/bundle/app.js
index 68f8a3b1..71034c93 100644
--- a/web/pgadmin/static/bundle/app.js
+++ b/web/pgadmin/static/bundle/app.js
@@ -8,8 +8,8 @@
 //////////////////////////////////////////////////////////////
 
 define('app', [
-  'babel-polyfill', 'sources/pgadmin', 'bundled_browser', 'pgadmin.datagrid',
-], function(babelPolyFill, pgAdmin) {
+  'sources/pgadmin', 'bundled_browser', 'pgadmin.datagrid',
+], function(pgAdmin) {
   var initializeModules = function(Object) {
     for (var key in Object) {
       var module = Object[key];
diff --git a/web/pgadmin/static/js/alertify/dialog.js b/web/pgadmin/static/js/alertify/dialog.js
index fa1100b1..e67c3dbe 100644
--- a/web/pgadmin/static/js/alertify/dialog.js
+++ b/web/pgadmin/static/js/alertify/dialog.js
@@ -8,7 +8,7 @@
 //////////////////////////////////////////////////////////////
 
 import gettext from '../gettext';
-import {sprintf} from 'sprintf-js';
+import {sprintf} from 'sources/utils';
 import {DialogFactory} from './dialog_factory';
 import Backform from '../backform.pgadmin';
 import {getTreeNodeHierarchyFromIdentifier} from '../tree/pgadmin_tree_node';
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 33d264ab..79dc7239 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -8,11 +8,11 @@
 //////////////////////////////////////////////////////////////
 
 define([
-  'sources/gettext', 'underscore', 'underscore.string', 'jquery',
+  'sources/gettext', 'underscore', 'jquery',
   'backbone', 'backform', 'backgrid', 'codemirror', 'sources/sqleditor_utils',
   'sources/keyboard_shortcuts',
   'spectrum', 'pgadmin.backgrid', 'select2', 'bootstrap.toggle',
-], function(gettext, _, S, $, Backbone, Backform, Backgrid, CodeMirror,
+], function(gettext, _, $, Backbone, Backform, Backgrid, CodeMirror,
   SqlEditorUtils, keyboardShortcuts) {
 
   var pgAdmin = (window.pgAdmin = window.pgAdmin || {}),
diff --git a/web/pgadmin/static/js/check_node_visibility.js b/web/pgadmin/static/js/check_node_visibility.js
index 4253a35e..c172a6e8 100644
--- a/web/pgadmin/static/js/check_node_visibility.js
+++ b/web/pgadmin/static/js/check_node_visibility.js
@@ -7,8 +7,8 @@
 //
 //////////////////////////////////////////////////////////////////////////
 
-define(['jquery', 'underscore', 'underscore.string'],
-  function ($, _, S) {
+define(['jquery', 'underscore'],
+  function ($, _) {
 
     var check_node_visibility = function (pgBrowser, node_type) {
       if(_.isUndefined(node_type) || _.isNull(node_type)) {
@@ -18,7 +18,7 @@ define(['jquery', 'underscore', 'underscore.string'],
       // Target actual node instead of collection.
       // If node is disabled then there is no meaning of
       // adding collection node menu
-      if(S.startsWith(node_type, 'coll-')) {
+      if(node_type.startsWith('coll-')) {
         node_type = node_type.replace('coll-', '');
       }
 
diff --git a/web/pgadmin/static/js/gettext.js b/web/pgadmin/static/js/gettext.js
index e3df9562..b4d623ce 100644
--- a/web/pgadmin/static/js/gettext.js
+++ b/web/pgadmin/static/js/gettext.js
@@ -12,30 +12,32 @@ define(['translations'], function (translations) {
   /***
    * This method behaves as a drop-in replacement for flask translation rendering.
    * It uses the same translation file under the hood and uses flask to determine the language.
-   *
-   * ex. translate("some %(adjective)s text", {adjective: "cool"})
+   * It is slightly tweaked to work like sprintf
+   * ex. translate("some %s text", "cool")
    *
    * @param {String} text
-   * @param {Object} substitutions
    */
-  return function gettext(text, substitutions) {
+  return function gettext(text) {
 
     var rawTranslation = translations[text] ? translations[text] : text;
 
-    // captures things of the form %(substitutionName)s
-    var substitutionGroupsRegExp = /([^%]*)%\(([^\)]+)\)s(.*)/;
-    var matchFound;
-
-    var interpolated = rawTranslation;
-    do {
-      matchFound = false;
-      interpolated = interpolated.replace(substitutionGroupsRegExp, function (_, textBeginning, substitutionName, textEnd) {
-        matchFound = true;
-        return textBeginning + substitutions[substitutionName] + textEnd;
-      });
-    } while (matchFound);
-
-    return interpolated;
+    try {
+      return rawTranslation.split('%s')
+        .map((w, i) => {
+          if(i > 0) {
+            if(arguments[i]) {
+              return [arguments[i], w].join('');
+            } else {
+              return ['%s', w].join('');
+            }
+          } else {
+            return w;
+          }
+        })
+        .join('');
+    } catch(e) {
+      console.error(e);
+      return rawTranslation;
+    }
   };
-
-});
\ No newline at end of file
+});
diff --git a/web/pgadmin/static/js/keyboard_shortcuts.js b/web/pgadmin/static/js/keyboard_shortcuts.js
index b0c92634..69590051 100644
--- a/web/pgadmin/static/js/keyboard_shortcuts.js
+++ b/web/pgadmin/static/js/keyboard_shortcuts.js
@@ -80,20 +80,14 @@ function shortcut_title(title, shortcut) {
   }
   text_representation += shortcut_key(shortcut);
 
-  return gettext('%(title)s (%(text_representation)s)',{
-    'title': title,
-    'text_representation': text_representation,
-  });
+  return `${title} (${text_representation})`;
 }
 
 /* Returns the key char of shortcut
  * shortcut object is browser.get_preference().value
  */
 function shortcut_accesskey_title(title, shortcut) {
-  return gettext('%(title)s (accesskey + %(key)s)',{
-    'title': title,
-    'key': shortcut_key(shortcut),
-  });
+  return `${title} (${gettext('accesskey')} + ${shortcut_key(shortcut)})`;
 }
 
 
diff --git a/web/pgadmin/static/js/modify_animation.js b/web/pgadmin/static/js/modify_animation.js
index 420c9433..1cf63c77 100644
--- a/web/pgadmin/static/js/modify_animation.js
+++ b/web/pgadmin/static/js/modify_animation.js
@@ -56,18 +56,14 @@ function modifyAlertifyAnimation(pgBrowser) {
   ).value;
 
   if(enableAcitreeAnimation) {
-    $(document).find('link#alertify-no-animation')
-      .attr('disabled', 'disabled');
+    $(document).find('body').removeClass('alertify-no-animation');
     _.each(document.getElementsByTagName('iframe'), function(frame) {
-      $(frame.contentDocument).find('link#alertify-no-animation')
-        .attr('disabled', 'disabled');
+      $(frame.contentDocument).find('body').removeClass('alertify-no-animation');
     });
   } else {
-    $(document).find('link#alertify-no-animation')
-      .removeAttr('disabled', 'disabled');
+    $(document).find('body').addClass('alertify-no-animation');
     _.each(document.getElementsByTagName('iframe'), function(frame) {
-      $(frame.contentDocument).find('link#alertify-no-animation')
-        .removeAttr('disabled', 'disabled');
+      $(frame.contentDocument).find('body').addClass('alertify-no-animation');
     });
   }
 }
diff --git a/web/pgadmin/static/js/sqleditor/call_render_after_poll.js b/web/pgadmin/static/js/sqleditor/call_render_after_poll.js
index ec18b10b..c3d21730 100644
--- a/web/pgadmin/static/js/sqleditor/call_render_after_poll.js
+++ b/web/pgadmin/static/js/sqleditor/call_render_after_poll.js
@@ -9,7 +9,7 @@
 
 import {calculateQueryRunTime} from './calculate_query_run_time';
 import gettext from '../gettext';
-import {sprintf} from 'sprintf-js';
+import {sprintf} from 'sources/utils';
 
 function hasResultsToDisplay(res) {
   return res.colinfo != null;
diff --git a/web/pgadmin/static/js/sqleditor/geometry_viewer.js b/web/pgadmin/static/js/sqleditor/geometry_viewer.js
index bd07d070..3c0f7fe9 100644
--- a/web/pgadmin/static/js/sqleditor/geometry_viewer.js
+++ b/web/pgadmin/static/js/sqleditor/geometry_viewer.js
@@ -8,16 +8,17 @@
 //////////////////////////////////////////////////////////////
 
 import gettext from 'sources/gettext';
-import {Geometry} from 'wkx';
 import {Buffer} from 'buffer';
-import L from 'leaflet';
 import $ from 'jquery';
 
+var L = null;
+var Geometry = null;
 let GeometryViewer = {
   panel_closed: true,
 
-  render_geometries: function (handler, items, columns, columnIndex) {
+  go_for_render: function(handler, items, columns, columnIndex) {
     let self = this;
+
     if (!self.map_component) {
       self.map_component = initMapComponent();
     }
@@ -53,10 +54,29 @@ let GeometryViewer = {
 
     handler.gridView.geometry_viewer.focus();
     self.map_component.clearMap();
-    let dataObj = parseData(items, columns, columnIndex);
+    let dataObj = parseData(items, columns, columnIndex, Geometry);
     self.map_component.renderMap(dataObj);
   },
 
+  render_geometries: function (handler, items, columns, columnIndex) {
+    let self = this;
+
+    if(L != null && Geometry != null) {
+      self.go_for_render(handler, items, columns, columnIndex);
+    } else {
+      Promise.all([
+        import('leaflet'),
+        import('wkx'),
+      ]).then(([leaflet, wkx]) => {
+        L = leaflet.default;
+        Geometry = wkx.Geometry;
+        self.go_for_render(handler, items, columns, columnIndex);
+      }).catch((error)=>{
+        throw(error);
+      });
+    }
+  },
+
   add_header_button: function (columnDefinition) {
     columnDefinition.header = {
       buttons: [
@@ -275,7 +295,7 @@ function initMapComponent() {
   };
 }
 
-function parseData(items, columns, columnIndex) {
+function parseData(items, columns, columnIndex, GeometryLib) {
   const maxRenderByteLength = 20 * 1024 * 1024; //render geometry data up to 20MB
   const maxRenderGeometries = 100000; // render geometries up to 100000
   let field = columns[columnIndex].field;
@@ -304,7 +324,7 @@ function parseData(items, columns, columnIndex) {
     try {
       let value = item[field];
       let buffer = Buffer.from(value, 'hex');
-      let geometry = Geometry.parse(buffer);
+      let geometry = GeometryLib.parse(buffer);
       if (geometry.hasZ) {
         geometries3D.push(geometry);
       } else {
diff --git a/web/pgadmin/static/js/utils.js b/web/pgadmin/static/js/utils.js
index 1f15858d..645a415a 100644
--- a/web/pgadmin/static/js/utils.js
+++ b/web/pgadmin/static/js/utils.js
@@ -205,3 +205,30 @@ export function getRandomInt(min, max) {
   max = Math.floor(max);
   return Math.floor(Math.random() * (max - min + 1)) + min;
 }
+
+export function titleize(i_str) {
+  return i_str.split(' ')
+    .map(w => w[0].toUpperCase() + w.substr(1).toLowerCase())
+    .join(' ');
+}
+
+export function sprintf(i_str) {
+  try {
+    return i_str.split('%s')
+      .map((w, i) => {
+        if(i > 0) {
+          if(arguments[i]) {
+            return [arguments[i], w].join('');
+          } else {
+            return ['%s', w].join('');
+          }
+        } else {
+          return w;
+        }
+      })
+      .join('');
+  } catch(e) {
+    console.error(e);
+    return i_str;
+  }
+}
diff --git a/web/pgadmin/tools/backup/static/js/backup.js b/web/pgadmin/tools/backup/static/js/backup.js
index 32a37a98..ae31cef3 100644
--- a/web/pgadmin/tools/backup/static/js/backup.js
+++ b/web/pgadmin/tools/backup/static/js/backup.js
@@ -10,13 +10,13 @@
 // Backup dialog
 define([
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'pgadmin.alertifyjs', 'backbone', 'pgadmin.backgrid',
+  'pgadmin.alertifyjs', 'backbone', 'pgadmin.backgrid',
   'pgadmin.backform', 'pgadmin.browser', 'sources/utils',
   'tools/backup/static/js/menu_utils',
   'tools/backup/static/js/backup_dialog',
   'sources/nodes/supported_database_node',
 ], function(
-  gettext, url_for, $, _, S, alertify, Backbone, Backgrid, Backform, pgBrowser,
+  gettext, url_for, $, _, alertify, Backbone, Backgrid, Backform, pgBrowser,
   commonUtils, menuUtils, globalBackupDialog, supportedNodes
 ) {
 
diff --git a/web/pgadmin/tools/debugger/static/js/debugger.js b/web/pgadmin/tools/debugger/static/js/debugger.js
index a2149bf1..4e5d1d88 100644
--- a/web/pgadmin/tools/debugger/static/js/debugger.js
+++ b/web/pgadmin/tools/debugger/static/js/debugger.js
@@ -9,13 +9,13 @@
 
 define([
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'alertify', 'sources/pgadmin', 'pgadmin.browser',
+  'alertify', 'sources/pgadmin', 'pgadmin.browser',
   'backbone', 'pgadmin.backgrid', 'codemirror', 'pgadmin.backform',
-  'pgadmin.tools.debugger.ui', 'pgadmin.tools.debugger.utils',
+  'pgadmin.tools.debugger.ui', 'pgadmin.tools.debugger.utils', 'sources/utils',
   'wcdocker', 'pgadmin.browser.frame',
 ], function(
-  gettext, url_for, $, _, S, Alertify, pgAdmin, pgBrowser, Backbone, Backgrid,
-  CodeMirror, Backform, get_function_arguments, debuggerUtils
+  gettext, url_for, $, _, Alertify, pgAdmin, pgBrowser, Backbone, Backgrid,
+  CodeMirror, Backform, get_function_arguments, debuggerUtils, pgadminUtils,
 ) {
   var pgTools = pgAdmin.Tools = pgAdmin.Tools || {},
     wcDocker = window.wcDocker;
@@ -281,7 +281,7 @@ define([
           }
         ),
         function(o) {
-          ref = S('%s/%s').sprintf(ref, encodeURI(o._id)).value();
+          ref = pgadminUtils.sprintf('%s/%s', ref, encodeURI(o._id));
         });
 
       var args = {
diff --git a/web/pgadmin/tools/import_export/static/js/import_export.js b/web/pgadmin/tools/import_export/static/js/import_export.js
index 9c75cc1f..1e48dbb5 100644
--- a/web/pgadmin/tools/import_export/static/js/import_export.js
+++ b/web/pgadmin/tools/import_export/static/js/import_export.js
@@ -8,13 +8,13 @@
 //////////////////////////////////////////////////////////////
 
 define([
-  'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'underscore.string', 'pgadmin.alertifyjs',
+  'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'pgadmin.alertifyjs',
   'sources/pgadmin', 'pgadmin.browser', 'backbone', 'backgrid', 'backform',
   'sources/utils',
   'sources/nodes/supported_database_node',
   'pgadmin.backform', 'pgadmin.backgrid', 'pgadmin.browser.node.ui',
 ], function(
-  gettext, url_for, $, _, S, Alertify, pgAdmin, pgBrowser, Backbone, Backgrid,
+  gettext, url_for, $, _, Alertify, pgAdmin, pgBrowser, Backbone, Backgrid,
   Backform, commonUtils, supportedNodes
 ) {
 
@@ -459,7 +459,7 @@ define([
           return;
         }
       } else {
-        Alertify.alert(S(gettext('Failed to load preference %s of module %s')).sprintf(preference_name, module).value());
+        Alertify.alert(gettext('Failed to load preference %s of module %s', preference_name, module));
         return;
       }
 
@@ -689,9 +689,8 @@ define([
 
           // Open the Alertify dialog for the import/export module
           Alertify.ImportDialog(
-            S(
-              gettext('Import/Export data - table \'%s\'')
-            ).sprintf(treeInfo.table.label).value(), node, i, d
+            gettext('Import/Export data - table \'%s\'', treeInfo.table.label),
+            node, i, d
           ).set('resizable', true).resizeTo(pgAdmin.Browser.stdW.md,pgAdmin.Browser.stdH.lg);
         })
         .fail(function() {
diff --git a/web/pgadmin/tools/maintenance/static/js/maintenance.js b/web/pgadmin/tools/maintenance/static/js/maintenance.js
index abe8701e..6b10e5ec 100644
--- a/web/pgadmin/tools/maintenance/static/js/maintenance.js
+++ b/web/pgadmin/tools/maintenance/static/js/maintenance.js
@@ -9,14 +9,14 @@
 
 define([
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'pgadmin.alertifyjs', 'sources/pgadmin', 'pgadmin.browser', 'backbone',
+  'pgadmin.alertifyjs', 'sources/pgadmin', 'pgadmin.browser', 'backbone',
   'backgrid', 'backform', 'sources/utils',
   'tools/maintenance/static/js/menu_utils',
   'sources/nodes/supported_database_node',
   'pgadmin.backform', 'pgadmin.backgrid',
   'pgadmin.browser.node.ui',
 ], function(
-  gettext, url_for, $, _, S, Alertify, pgAdmin, pgBrowser, Backbone, Backgrid,
+  gettext, url_for, $, _, Alertify, pgAdmin, pgBrowser, Backbone, Backgrid,
   Backform, commonUtils,
   menuUtils, supportedNodes
 ) {
@@ -234,7 +234,7 @@ define([
           return;
         }
       } else {
-        Alertify.alert(S(gettext('Failed to load preference %s of module %s')).sprintf(preference_name, module).value());
+        Alertify.alert(gettext('Failed to load preference %s of module %s', preference_name, module));
         return;
       }
 
diff --git a/web/pgadmin/tools/restore/static/js/restore.js b/web/pgadmin/tools/restore/static/js/restore.js
index 73a32a82..428e549d 100644
--- a/web/pgadmin/tools/restore/static/js/restore.js
+++ b/web/pgadmin/tools/restore/static/js/restore.js
@@ -9,13 +9,13 @@
 
 define('tools.restore', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'backbone',
-  'underscore.string', 'pgadmin.alertifyjs', 'pgadmin.browser',
+  'pgadmin.alertifyjs', 'pgadmin.browser',
   'pgadmin.backgrid', 'pgadmin.backform', 'sources/utils',
   'tools/restore/static/js/menu_utils',
   'sources/nodes/supported_database_node',
   'tools/restore/static/js/restore_dialog',
 ], function(
-  gettext, url_for, $, _, Backbone, S, alertify, pgBrowser, Backgrid, Backform,
+  gettext, url_for, $, _, Backbone, alertify, pgBrowser, Backgrid, Backform,
   commonUtils, menuUtils, supportedNodes, restoreDialog
 ) {
 
diff --git a/web/pgadmin/tools/restore/static/js/restore_dialog.js b/web/pgadmin/tools/restore/static/js/restore_dialog.js
index b7362966..18028f8d 100644
--- a/web/pgadmin/tools/restore/static/js/restore_dialog.js
+++ b/web/pgadmin/tools/restore/static/js/restore_dialog.js
@@ -8,7 +8,7 @@
 //////////////////////////////////////////////////////////////
 
 import gettext from '../../../../static/js/gettext';
-import {sprintf} from 'sprintf-js';
+import {sprintf} from 'sources/utils';
 import Backform from '../../../../static/js/backform.pgadmin';
 import {Dialog} from '../../../../static/js/alertify/dialog';
 import url_for from 'sources/url_for';
